Publish an incident post-mortem
POST
/organizations/{org_id}/incidents/{incident_id}/postmortem/publish
const url = 'https://api.perstat.io/organizations/example/incidents/example/postmortem/publish';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.perstat.io/organizations/example/incidents/example/postmortem/publish \ --header 'Authorization: Bearer <token>'Marks the incident’s post-mortem as published, making it eligible to appear on public status pages when its visibility is set to public. Returns the updated post-mortem, or 404 when none exists yet. Requires the incident command plan capability, otherwise 402.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
incident_id
required
string
Responses
Section titled “Responses”Media typeapplication/json
Post-mortem (Nachbereitung) eines Incidents.
object
contributing_factors
required
string
impact
required
string
lessons
required
string
published_at_unix
integer | null format: int64
root_cause
required
string
status
required
string
summary
required
string
title
required
string
visibility
required
string
what_went_well
required
string
what_went_wrong
required
string
Examplegenerated
{ "contributing_factors": "example", "impact": "example", "lessons": "example", "published_at_unix": 1, "root_cause": "example", "status": "example", "summary": "example", "title": "example", "visibility": "example", "what_went_well": "example", "what_went_wrong": "example"}